<section class="register-content">
  <div class="row">
    <div class="register-left">
      <div class="register-box">
        <h3>Registruotis</h3>
        <form (ngSubmit)="userRegister()" class="register-form">
          <div>
            <input
              required
              id="firstName"
              name="firstName"
              [(ngModel)]="user.firstName"
              type="text"
              placeholder="Vardas"
              #fullFirstNameControl="ngModel"
            />
            <span
              class="warning"
              *ngIf="
                fullFirstNameControl.invalid && fullFirstNameControl.touched"
            >
              Prašome įrašyti savo vardą!
            </span>
          </div>

          <div>
            <input
              required
              id="lastName"
              name="lastName"
              [(ngModel)]="user.lastName"
              type="text"
              placeholder="Pavarde"
              #fullLastNameControl="ngModel"
            />
            <span
              class="warning"
              *ngIf="fullLastNameControl.invalid && fullLastNameControl.touched"
            >
              Prašome įrašyti savo pavardę!
            </span>
          </div>

          <div>
            <input
              required
              email
              id="email"
              name="email"
              [(ngModel)]="user.email"
              type="email"
              placeholder="El. pastas"
              #fullEmailControl="ngModel"
            />
            <span
              class="warning"
              *ngIf="fullEmailControl.invalid && fullEmailControl.touched"
            >
              Prašome įrašyti savo El. paštą!
            </span>
          </div>

          <div>
            <input
              required
              id="password"
              name="password"
              [(ngModel)]="user.password"
              type="text"
              udemyu
              placeholder="Slaptazodis"
              #fullPasswordControl="ngModel"
            />
            <span
              class="warning"
              *ngIf="fullPasswordControl.invalid && fullPasswordControl.touched"
            >
              Prašome įrašyti savo slaptažodį!
            </span>
          </div>
          <button type="submit" class="hero-btn red-btn" st>
            Registruotis
          </button>
        </form>
      </div>
    </div>
  </div>
</section>
